Subject: Re: installation issue when building with NO_CURL=YesPlease

From: Bruce Stephens <[email-masked]>
Date: Wed, 26 May 2010 19:45:10 +0100

Dirk Süsserott <[email-masked]> writes:

[...]

> I had a similar problem when "make install"ing under AIX. Not with
> NO_CURL but with some other NO_* option. I forgot which.
> This yealded to an empty $(REMOTE_***_ALIASES) macro
> (REMOTE_CURL_ALIASES in your case) which my AIX shell cannot handle.
>
> It reads "for p in; do" which makes it unhappy. I solved my problem
> with the SHELL_PATH environment variable (look at the first few lines
> in the Makefile).
>
> $ SHELL_PATH=/bin/bash NO_SOMETHING=YesPlease make install
>
> then worked fine for me.

It wouldn't be too horrible to fix the Makefiles, though.  Doing stuff
like this works portably (judging by what some OpenSSL Makefiles do):

	foo="$(REMOTE_CURL_ALIASES)"; for i in $$foo; do \

[...]